### Method

# Clutter Text set_single_line_mode

#### Declaration [src]

    void
    clutter_text_set_single_line_mode (
      ClutterText* self,
      gboolean single_line
    )

#### Description [src]

Sets whether a `ClutterText` actor should be in single line mode or not. Only editable `ClutterText`s can be in single line mode.

A text actor in single line mode will not wrap text and will clip the visible area to the predefined size. The contents of the text actor will scroll to display the end of the text if its length is bigger than the allocated width.

When setting the single line mode the `ClutterText:activatable` property is also set as a side effect. Instead of entering a new line character, the text actor will emit the `ClutterText::activate` signal.

Sets property | `Clutter.Text:single-line-mode`

#### Parameters

`single_line`

  Type: `gboolean`

  Whether to enable single line mode.